@font-face {
    font-family: kalameh;
    src: url("../fonts/KalamehWeb-Medium.woff2");
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: kalameh;
}

body {
    background-color: #1A374D;
}

/* HOME START */

.home {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    padding: 0 10px;
    margin: 10px 0;
}

.home-container {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    width: 1200px;
    gap: 20px;
}

.home-rast,
.home-chap {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 10px;
    width: 264px;
    top: 10px;
    position: sticky;
}

.home-vasat {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 20px;
    width: 633px;
}

.cards {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 10px;
    width: 100%;
}

.card {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 10px;
    padding: 10px;
    border-radius: 10px;
    border: 2px solid #172f3f;
    width: 100%;
    height: 225px;
    background-color: #172f3f;
}

.card-img {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 200px;
}

.card-img img {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    border-radius: 5px;
    border: 2px solid #1A374D;
}

.card-about {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: column;
    height: 100%;
    width: 400px;
}

.card #title2{
    display: none;
}

.card-about-title {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 10px;
    width: 100%;
    color: white;
    background-color: #1A374D;
    padding: 10px;
    border-radius: 5px;
}

.card-about-title i {
    transform: translateY(1px);
    font-size: 16px;
    padding: 12px 12px 10px 12px;
    background-color: #172f3f;
    color: royalblue;
    border-radius: 5px;
}

.card-about-title p {
    font-size: 14px;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 1;
    line-clamp: 1;
    overflow: hidden;
}

.card-about-bottom {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    gap: 10px;
}

.card-about-bottom-rast {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    color: white;
}

.card-about-bottom-rast-artist,
.card-about-bottom-rast-date,
.card-about-bottom-rast-seen {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 3px;
    font-size: 10px;
}
.card-about-bottom-rast-artist p {
    display: inline-block;
    width: 100%;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 100px; /* حداکثر عرض را مشخص کنید */
}

.card-about-bottom-rast-artist i,
.card-about-bottom-rast-date i,
.card-about-bottom-rast-seen i {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 12px;
}

.card-about-bottom-chap {
    display: flex;
    align-items: center;
    justify-content: center;
}

.card-about-bottom-chap a {
    text-decoration: none;
    color: white;
    background-color: #1A374D;
    padding: 5px 15px;
    font-size: 12px;
    border-radius: 5px;
    border: 2px solid #1A374D;
    transition: all .5s;
}

.card-about-bottom-chap a:hover {
    color: royalblue;
}

.card-about-bottom-chap a i {
    transform: translateY(1px) translateX(-6px);
}

.pagination {
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: #172f3f;
    padding: 10px;
    border-radius: 10px;
    gap: 10px;
    width: 100%;
}

.pagination-prev,
.pagination-next {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5px;
}

.pagination-prev a,
.pagination-next a {
    text-decoration: none;
    color: white;
    background-color: #1A374D;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 40px;
    height: 40px;
    border-radius: 5px;
    transition: all .5s;
}

.pagination-prev a:hover,
.pagination-next a:hover {
    color: royalblue;
}

.pagination-numbers {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5px;
}

.pagination-numbers a {
    text-decoration: none;
    color: white;
    background-color: #1A374D;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 40px;
    height: 40px;
    border-radius: 5px;
    transition: all .5s;
}

.pagination-numbers a:hover {
    background-color: royalblue;
    color: white;
}

.pagination-numbers .active {
    background-color: royalblue;
    color: white;
}

/* HOME END */


















/* RESPONSIVE START */

@media screen and (max-width:1220px) {

    .home-container {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        width: 100%;
    }

    .home-vasat {
        width: 100%;
    }

    .card {
        display: flex;
        flex-direction: column;
        height: auto;
    }

    .card-img {
        width: 100%;
    }

    .card-about {
        gap: 10px;
        width: 100%;
        display: flex;
        flex-direction: column;
    }
    .card-about #title1{
        display: none;
    }
    .card #title2{
        display: flex;
    }

    .card-about-bottom {
        align-items: center;
        justify-content: center;
        flex-direction: column;
        gap: 10px;
        width: 100%;
    }

    .card-about-bottom-rast {
        display: flex;
        align-items: center;
        justify-content: space-between;
        gap: 10px;
        width: 100%;
    }

    .card-about-bottom-chap {
        width: 100%;
    }

    .card-about-bottom-chap a {
        width: 100%;
        text-align: center;
        padding: 15px;
    }

    .home-rast,
    .home-chap {
        position: unset;
        width: 100%;
    }

    .home-rast {
        order: 2;
    }

    .home-chap {
        order: 1;
    }

}

/* RESPONSIVE END */